Skip to content
Ona Docs

DeleteRunnerPolicy

POST/gitpod.v1.RunnerService/DeleteRunnerPolicy

Deletes a runner policy.

Use this method to:

  • Remove access controls
  • Revoke permissions
  • Clean up policies

Examples

  • Delete policy:

    Removes a group’s access policy.

    runnerId: "d2c94c27-3b76-4a42-b88c-95a85e392c68"
    groupId: "f53d2330-3795-4c5d-a1f3-453121af9c60"
Body ParametersJSONExpand Collapse
groupId: optional string

group_id specifies the group_id identifier

formatuuid
runnerId: optional string

runner_id specifies the project identifier

formatuuid

DeleteRunnerPolicy

curl https://app.gitpod.io/api/gitpod.v1.RunnerService/DeleteRunnerPolicy \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $GITPOD_API_KEY" \
    -d '{}'
{}
Returns Examples
{}